const {ipcRenderer} = require('electron');

var onclick = null;

ipcRenderer.on('notification-clicked', function() {
    if (onclick) {
        onclick();
    }
});

var BearyNotification = function Notification(title, options) {
    if (!(this instanceof Notification)) {
        return new Notification(title, options);
    }

    options = options || {};

    Object.defineProperty(this, 'onclick', {
        get: function() {
            return onclick;
        },
        set: function(val) {
            if (typeof val !== 'function') {
                return;
            }
            onclick = val;
        }
    });

    ipcRenderer.send('notification', {
        title: title,
        content: options.body
    });

    this.title = title;
    this.body = options.body;
    this.icon = options.icon;

    this.close = function() {};
};

BearyNotification.permission = 'granted';

module.exports = BearyNotification;
