'use strict';

const {ipcMain, BrowserWindow, globalShortcut} = require('electron');
const preference = require('./preference');
const Screenshot = require('./screenshot');

const init = () => {

    ipcMain.on('change-screenshot-shortcut', (event, newShortcut) => {
        if (preference.getScreenshotKey() !== newShortcut) {
            if (preference.getScreenshotKey().length > 0) {
                globalShortcut.unregister(preference.getScreenshotKey());
            }
            globalShortcut.register(newShortcut, Screenshot.screenshot);
            preference.setScreenshotKey(newShortcut);
        }
    });

    ipcMain.on('cancel-screenshot-shortcut', (event) => {
        globalShortcut.unregister(preference.getScreenshotKey());
        preference.setScreenshotKey("");
    });
 
    ipcMain.on('lalala-lalala-wo-shi-mai-bao-de-xiao-hang-jia', () => {
        if (BrowserWindow.mainWindow) {
            BrowserWindow.mainWindow.openDevTools({
                detach: true
            });
        }
    });

    ipcMain.on('screenshot', () => {
        Screenshot.screenshot();
    });

};

module.exports = {
    init: init
};
