const {BrowserWindow, app} = require('electron');
const Utils = require('../utils');

class MenuActions {
    showAbout() {
        require('../window/about').show();
    }

    showPreference() {
        require('../window/preference').show();
    }

    checkUpdateDarwin() {
        require('../check_update_osx')();
    }

    checkUpdateWindows() {
        require('../check_update_win')();
    }

    switchTeam() {
        this.showMainWindow();
        Utils.sendToWebContents('switch-team');
    }

    screenshot() {
        const Screenshot = require('../screenshot');
        Screenshot.screenshot();
    }

    quitApp() {
        app.quit();
    }

    refresh() {
        Utils.sendToWebContents('reload');
    }

    goBack() {
        Utils.sendToWebContents('history-back');
    }

    goForward() {
        Utils.sendToWebContents('history-forward');
    }

    showMainWindow() {
        if (BrowserWindow.mainWindow) {
            BrowserWindow.mainWindow.show();
            BrowserWindow.mainWindow.focus();
        }
    }
}

module.exports = new MenuActions();
