const {app} = require('electron');

const Strings = require('../strings')
const MenuActions = require('./menu-actions');
var strings = new Strings();
strings.setLocale(app.getLocale());

var template = [{
    label: 'BearyChat',
    submenu: [{
        label: strings.translate('about-bearychat'),
        click: MenuActions.showAbout
    }, {
        label: strings.translate('check-update'),
        click: MenuActions.checkUpdateDarwin
    }, {
        type: 'separator'
    }, {
        label: strings.translate('preference'),
        accelerator: 'Command + ,',
        click: MenuActions.showPreference
    }, {
        type: 'separator'
    }, {
        label: strings.translate('switch-team'),
        accelerator: 'CommandOrControl + N',
        click: MenuActions.switchTeam.bind(MenuActions)
    }, {
        type: 'separator'
    }, {
        label: strings.translate('services'),
        role: 'services',
        submenu: []
    }, {
        type: 'separator'
    }, {
        label: strings.translate('hide-bearychat'),
        accelerator: 'CommandOrControl + H',
        role: 'hide'
    }, {
        label: strings.translate('hide-other-apps'),
        accelerator: 'CommandOrControl + Shift + H',
        role: 'hideothers'
    }, {
        label: strings.translate('show-all'),
        role: 'unhide'
    }, {
        type: 'separator'
    }, {
        label: strings.translate('exit'),
        accelerator: 'Command + Q',
        click: MenuActions.quitApp
    }]
}, {
    label: strings.translate('edit'),
    submenu: [{
        label: strings.translate('undo'),
        accelerator: 'Command + Z',
        role: 'undo'
    }, {
        label: strings.translate('redo'),
        accelerator: 'Command + Shift + Z',
        role: 'redo'
    }, {
        type: 'separator'
    }, {
        label: strings.translate('cut'),
        accelerator: 'Command + X',
        role: 'cut'
    }, {
        label: strings.translate('copy'),
        accelerator: 'Command + C',
        role: 'copy'
    }, {
        label: strings.translate('paste'),
        accelerator: 'Command + V',
        role: 'paste'
    }, {
        label: strings.translate('select-all'),
        accelerator: 'Command+ A',
        role: 'selectall'
    }, {
        type: 'separator'
    }, {
        label: strings.translate('spelling-and-grammar'),
        submenu: [{
            label: strings.translate('check-spelling-while-typing'),
            type: 'checkbox',
            checked: true,
            enabled: false
        }]
    }]
}, {
    label: strings.translate('history'),
    submenu: [{
        label: strings.translate('back'),
        accelerator: 'Command + [',
        click: MenuActions.goBack
    }, {
        label: strings.translate('forward'),
        accelerator: 'Command + ]',
        click: MenuActions.goForward
    }]
}, {
    label: strings.translate('view'),
    submenu: [{
        label: strings.translate('refresh'),
        accelerator: 'CommandOrControl + R',
        click: MenuActions.refresh.bind(MenuActions)
    }, {
        label: strings.translate('activate-window'),
        accelerator: 'Ctrl + Super + X',
        click: MenuActions.showMainWindow
    }]
}, {
    label: strings.translate('function'),
    submenu: [{
        label: strings.translate('screenshot'),
        click: MenuActions.screenshot
    }]
}, {
    label: strings.translate('window'),
    role: 'window',
    submenu: [{
        label: strings.translate('minimize'),
        accelerator: 'Command + M',
        role: 'minimize'
    }, {
        label: strings.translate('close-window'),
        accelerator: 'Command + W',
        role: 'close'
    }, {
        type: 'separator'
    }, {
        label: strings.translate('bring-all-windows-to-front'),
        role: 'front'
    }]
}];

module.exports = template;
