const {app} = require('electron');

const Strings = require('../strings');
var strings = new Strings();
strings.setLocale(app.getLocale());
const MenuActions = require('./menu-actions');

var template = [{
    label: 'BearyChat',
    submenu: [{
        label: strings.translate('switch-team'),
        accelerator: 'CommandOrControl + N',
        click: MenuActions.switchTeam.bind(MenuActions)
    }, {
        type: 'separator'
    }, {
        label: strings.translate('exit'),
        click: MenuActions.quitApp
    }]
}, {
    label: strings.translate('history'),
    submenu: [{
        label: strings.translate('back'),
        accelerator: 'Alt + Left',
        click: MenuActions.goBack
    }, {
        label: strings.translate('forward'),
        accelerator: 'Alt + Right',
        click: MenuActions.goForward
    }]
}, {
    label: strings.translate('view'),
    submenu: [{
        label: strings.translate('refresh'),
        accelerator: 'CommandOrControl+R',
        click: MenuActions.refresh.bind(MenuActions)
    }]
}, {
    label: strings.translate('help'),
    submenu: [{
        label: strings.translate('about'),
        click: MenuActions.showAbout
    }]
}];

module.exports = template;
