const {app} = require('electron');

const Strings = require('../strings.js');
var strings = new Strings();
strings.setLocale(app.getLocale());
const MenuActions = require('./menu-actions');

var template = [{
    label: 'BearyChat',
    submenu: [{
        label: strings.translate('switch-team'),
        accelerator: 'Control + N',
        click: MenuActions.switchTeam.bind(MenuActions)
    }, {
        label: strings.translate('settings'),
        click: MenuActions.showPreference
    }, {
        label: strings.translate('check-update'),
        click: MenuActions.checkUpdateWindows
    }, {
        type: 'separator'
    }, {
        label: strings.translate('exit'),
        click: MenuActions.quitApp
    }]
}, {
    label: strings.translate('edit'),
    submenu: [{
        label: strings.translate('undo'),
        accelerator: 'Control + Z',
        role: 'undo'
    }, {
        label: strings.translate('redo'),
        accelerator: 'Control + Y',
        role: 'redo'
    }, {
        type: 'separator'
    }, {
        label: strings.translate('cut'),
        accelerator: 'Control + X',
        role: 'cut'
    }, {
        label: strings.translate('copy'),
        accelerator: 'Control + C',
        role: 'copy'
    }, {
        label: strings.translate('paste'),
        accelerator: 'Control + V',
        role: 'paste'
    }, {
        label: strings.translate('select-all'),
        accelerator: 'Control+ A',
        role: 'selectall'
    }]
}, {
    label: strings.translate('view'),
    submenu: [{
        label: strings.translate('refresh'),
        accelerator: 'Control + R',
        click: MenuActions.refresh.bind(MenuActions)
    }]
}, {
    label: strings.translate('history'),
    submenu: [{
        label: strings.translate('back'),
        accelerator: 'Alt + Left',
        click: MenuActions.goBack
    }, {
        label: strings.translate('forward'),
        accelerator: 'Alt + Right',
        click: MenuActions.goForward
    }]
}, {
    label: strings.translate('function'),
    submenu: [{
        label: strings.translate('screenshot'),
        click: MenuActions.screenshot
    }]
}, {
    label: strings.translate('help'),
    submenu: [{
        label: strings.translate('about'),
        click: MenuActions.showAbout
    }]
}];

module.exports = template;
