const exec = require('child_process').exec;
const path = require('path');
const Utils = require('./utils');
const {app, clipboard} = require('electron');
const tempPath = app.getPath('temp');

const screenshot = () => {
    var basicCommand = 'screencapture -i ';
    var timeString = Utils.getTimeString();
    var fileName = '截图_' + timeString + '.png';
    var filePath = path.resolve(tempPath, fileName);
    var endCommand = basicCommand + '"' + filePath + '"';
    exec(endCommand, function (error, stdout, stderr) {
        console.log(stdout);
        if (error) {
            console.error('error when creating screenshot');
            console.error(stderr);
            return;
        }

        try {
            clipboard.writeImage(filePath);
        } catch (e) {
            console.error(e);
        }

        Utils.sendToWebContents('upload-file', fileName, filePath);
    });
};

module.exports = {
    screenshot: screenshot
};
