'use strict';

const ffi = require('ffi');
const path = require('path');
const Utils = require('./utils');
const capture = ffi.Library(path.join(__dirname, 'BearyCapture'), {
    'InitScreenCapture': ['int', ['string']],
    'InitCaptureParam': ['int', ['int', 'pointer']],
    'StartScreenCapture': ['int', ['string', 'pointer', 'ulong', 'uint', 'ulong', 'int', 'int', 'int', 'int', 'int']]
});

const getToken = () => {
    var date = new Date();
    var ori = 'niuniu_app_yx_' + date.getFullYear() + "" + (date.getMonth() + 1) + "" + date.getDate();
    var crypto = require('crypto');
    var token = crypto.createHash('md5').update(ori).digest('hex');
    return token;
};

const callback = ffi.Callback('void',
    ['int', 'int', 'int', 'int', 'int', 'string'],
    (type, x, y, width, height, info) => {
        // type === 1 -> done -> 截图完成
        // type === 2 -> cancel -> 截图取消
        // type === 3 -> save -> 执行图片保存（我也不造什么意思）
        if (type === 1) {
            Utils.sendToWebContents('win-screenshot', '截图_' + Utils.getTimeString() + '.png');
        }
    });

const screenshot = () => {
    capture.InitScreenCapture(getToken());
    capture.InitCaptureParam(8, new Buffer('BearyChat_'));
    capture.InitCaptureParam(10, new Buffer('Ctrl + Alt + s'));
    capture.StartScreenCapture('path', callback, 0, 0, 0, 0, 0, 0, 0, 0);
};

module.exports = {
    screenshot: screenshot
};
