'use strict';

const EN_US = 'en-US';
const ZH_CN = 'zh-CN';
const DEFAULT_JSON_PATH = './strings-en.json';
const JSON_PATH_MAP = {
    [EN_US]: DEFAULT_JSON_PATH,
    [ZH_CN]: './strings-zh.json'
};

class Strings {
    constructor(locale = EN_US) {
        this.setLocale(locale);
    }

    setLocale(locale) {
        this.locale = locale;
        const jsonPath = JSON_PATH_MAP[locale] || DEFAULT_JSON_PATH;
        this.strings = require(jsonPath);
    }

    translate(str) {
        return this.strings[str] || str;
    }
}

module.exports = Strings;
