'use strict';

const {app, ipcMain, BrowserWindow} = require('electron');
const path = require('path');
const createWindow = require('../create-window');

let aboutWindow = null;

const ABOUT_WIDTH = 290;
const ABOUT_HEIGHT = 180;

function showAbout() {
    if (!aboutWindow) {
        const url = `file://${path.resolve(__dirname, '../fe/about.html')}`;

        aboutWindow = createWindow(url, {
            width: ABOUT_WIDTH,
            height: ABOUT_HEIGHT,
            resizable: false
        });

        app.on('before-quit', function() {
            aboutWindow.forceClose = true;
        });

        aboutWindow.on('close', function(event) {
            if (!aboutWindow.forceClose) {
                event.preventDefault();
                aboutWindow.hide();
            }
        });
    } else {
        aboutWindow.show();
    }
}

module.exports = {
    show: showAbout
};
