'use strict';

const {app} = require('electron');
const path = require('path');
const createWindow = require('../create-window');

let _window = null;

const WINDOW_WIDTH = 420;
const WINDOW_HEIGHT = 290;

function show() {
    if (!_window) {
        const url = `file://${path.resolve(__dirname, '../fe/preference.html')}`;

        _window = createWindow(url, {
            width: WINDOW_WIDTH,
            height: WINDOW_HEIGHT,
            resizable: false
        });
        
        app.on('before-quit', () => {
            _window.forceClose = true;
        });

        _window.on('close', (event) => {
            if (!_window.forceClose) {
                event.preventDefault();
                _window.hide();
            }
        });
    } else {
        _window.show();
    }
}

module.exports = {
    show : show
};
